#include <raylib.h>

class Circle
{
public:
	static void init();
	static void deinit();
	static void setColor(Color color);
	static void draw(float x, float y, float size);

	Circle() = delete;

private:
	static const int sizeTexute = 250;
	static RenderTexture2D target;
	static Shader shader;

	static float c[3];
	static int colorLoc;
};
